### Method

# Adw Squeezerset_xalign

deprecated: 1.4

#### Declaration [src]

    void
    adw_squeezer_set_xalign (
      AdwSqueezer* self,
      float xalign
    )

#### Description [src]

Sets the horizontal alignment, from 0 (start) to 1 (end).

This affects the children allocation during transitions, when they exceed the size of the squeezer.

For example, 0.5 means the child will be centered, 0 means it will keep the start side aligned and overflow the end side, and 1 means the opposite.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Squeezer:xalign`

#### Parameters

`xalign`

  Type: `float`

  The new alignment value.